Subject: Re: possible macvlan packet loss

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 17:44:06 -0800

On Tue, 24 Jan 2023 16:14:03 +0100 Aleksander Dutkowski wrote:
> I wonder what is the best way to test and measure the queue fulfillment?
> We can do simple printf when the queue is full, but maybe there are
> some tools or techniques I'm not aware of that we can use?

In terms of debugging tools bpftrace (potentially combined with kprobes)
will change your life.